Subject: [6lo] FW: New Version Notification for draft-thubert-6lo-rfc6775-update-01.txt

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Wed, 26 Oct 2016 07:59:02 +0000

Dear all:

The main changes in the RFC 6775 update personal submission I-D are 1) a new section on backward compatibility, and 2) a change in the discussion about the link model. 

After due consideration, and in particular talks between Erik, Zach and Carsten, the authors agreed that the link model is effectively *not* changed, but rather that the model is better understood/refined, in particular on the consequence that the link-local address cannot be considered globally and permanently unique after a successful DAR/DAC process; it results that the value of that process is so very limited that it can safely be eliminated. 

So the draft removes the DAR/DAC exchange for link local addresses, and mandates that the NS/NA(ARO) exchange is done with link local addresses for registering all other addresses.  This has a major benefit: the 6LR does not need any more to maintain a separate cache during the DAR/DAC process. That cache was necessary to reply to the 6LN and created cumbersome intricacies in the implementation.

This draft was mostly extracted from the backbone router draft, which was already WG doc at the time this draft was created. If this draft is adopted, we'll remove the duplicate text from the backbone router I-D and republish with a normative reference. As editor I think that this draft is now ready for adoption call.  

What do others think?

Pascal

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: mercredi 26 octobre 2016 09:33
To: Erik Nordmark <[email-masked]>; Pascal Thubert (pthubert) <[email-masked]>; Samita Chakrabarti <[email-masked]>
Subject: New Version Notification for draft-thubert-6lo-rfc6775-update-01.txt

A new version of I-D, draft-thubert-6lo-rfc6775-update-01.txt
has been successfully submitted by Pascal Thubert and posted to the
IETF repository.

Name:		draft-thubert-6lo-rfc6775-update
Revision:	01
Title:		An Update to 6LoWPAN ND
Document date:	2016-10-26
Group:		Individual Submission
Pages:		22
URL:            https://www.ietf.org/internet-drafts/draft-thubert-6lo-rfc6775-update-01.txt
Status:         https://datatracker.ietf.org/doc/draft-thubert-6lo-rfc6775-update/
Htmlized:       https://tools.ietf.org/html/draft-thubert-6lo-rfc6775-update-01
Diff:           https://www.ietf.org/rfcdiff?url2=draft-thubert-6lo-rfc6775-update-01

Abstract:
   This specification updates 6LoWPAN Neighbor Discovery (RFC6775), to
   clarify the role of the protocol as a registration technique,
   simplify the registration operation in 6LoWPAN routers, and provide
   enhancements to the registration capabilities, in particular for the
   registration to a backbone router for proxy ND operations.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat